enum CompanyType {
  Cpa = "CPA network",
  AffiliateNetwork = "Affiliate network",
  AdNetwork = "Ad network",
  SmartlinkNetwork = "Smartlink network",
  BuyingTeam = "Media buying team",
  IndividualPerAffiliate = "Individual/Affiliate",
}

enum MessengerType {
  Skype = "Skype",
  Telegram = "Telegram",
  QQ = "QQ",
  Wechat = "Wechat",
}

enum Revenue {
  LT_100 = "<100$",
  FROM_100_TO_500 = "100-500$",
  FROM_500_TO_1000 = "500-1000$",
  LT_1000 = "<1000$",
  FROM_1000_TO_2000 = "1000$-2000$",
  FROM_2000_TO_5000 = "2000$-5000$",
  FROM_5000_TO_10000 = "5000$-10000$",
  GT_10000 = "10000$+",
}

enum TrafficType {
  DisplayPerBanner = "Display/Banner",
  Email = "Email",
  Incentive = "Incentive",
  VideoAds = "Video Ads",
  Native = "Native",
  Network = "Network",
  Organic = "Organic",
  PopUp = "Pop-up/Pop-under",
  SearchPerSEO = "Search/SEO",
  SocialMedia = "SocialMedia",
  Other = "Other",
}

enum HowFoundOut {
  Email = "Email",
  Blog = "ProfitSocial's Blog",
  SearchEngine = "Search Engine",
}

enum Country {
  Afghanistan = "Afghanistan",
  Albania = "Albania",
  Algeria = "Algeria",
  AmericanSamoa = "American Samoa",
  Andorra = "Andorra",
  Angola = "Angola",
  Anguilla = "Anguilla",
  Antarctica = "Antarctica",
  AntiguaAndBarbuda = "Antigua and Barbuda",
  Argentina = "Argentina",
  Armenia = "Armenia",
  Aruba = "Aruba",
  Australia = "Australia",
  Austria = "Austria",
  Azerbaijan = "Azerbaijan",
  Bahamas = "Bahamas",
  Bahrain = "Bahrain",
  Bangladesh = "Bangladesh",
  Barbados = "Barbados",
  Belarus = "Belarus",
  Belgium = "Belgium",
  Belize = "Belize",
  Benin = "Benin",
  Bermuda = "Bermuda",
  Bhutan = "Bhutan",
  Bolivia = "Bolivia",
  BosniaAndHerzegovina = "Bosnia and Herzegovina",
  Botswana = "Botswana",
  Brazil = "Brazil",
  BritishIndianOceanTerritory = "British Indian Ocean Territory",
  BritishVirginIslands = "British Virgin Islands",
  Brunei = "Brunei",
  Bulgaria = "Bulgaria",
  BurkinaFaso = "Burkina Faso",
  Myanmar = "Burma (Myanmar)",
  Burundi = "Burundi",
  Cambodia = "Cambodia",
  Cameroon = "Cameroon",
  Canada = "Canada",
  CapeVerde = "CapeVerde",
  CaymanIslands = "CaymanIslands",
  CentralAfricanRepublic = "CentralAfricanRepublic",
  Chad = "Chad",
  Chile = "Chile",
  China = "China",
  ChristmasIsland = "ChristmasIsland",
  KeelingIslands = "Cocos (Keeling) Islands",
  Colombia = "Colombia",
  Comoros = "Comoros",
  CookIslands = "Cook Islands",
  CostaRica = "Costa Rica",
  Croatia = "Croatia",
  Cuba = "Cuba",
  Cyprus = "Cyprus",
  CzechRepublic = "Czech Republic",
  DROC = "Democratic Republic of the Congo",
  Denmark = "Denmark",
  Djibouti = "Djibouti",
  Dominica = "Dominica",
  DominicanRepublic = "Dominican Republic",
  Ecuador = "Ecuador",
  Egypt = "Egypt",
  ElSalvador = "El Salvador",
  EquatorialGuinea = "Equatorial Guinea",
  Eritrea = "Eritrea",
  Estonia = "Estonia",
  Ethiopia = "Ethiopia",
  FalklandIslands = "Falkland Islands",
  FaroeIslands = "Faroe Islands",
  Fiji = "Fiji",
  Finland = "Finland",
  France = "France",
  FrenchPolynesia = "French Polynesia",
  Gabon = "Gabon",
  Gambia = "Gambia",
  Georgia = "Georgia",
  Germany = "Germany",
  Ghana = "Ghana",
  Gibraltar = "Gibraltar",
  Greece = "Greece",
  Greenland = "Greenland",
  Grenada = "Grenada",
  Guam = "Guam",
  Guatemala = "Guatemala",
  Guinea = "Guinea",
  GuineaBissau = "Guinea-Bissau",
  Guyana = "Guyana",
  Haiti = "Haiti",
  VaticanCity = "Holy See (Vatican City)",
  Honduras = "Honduras",
  HongKong = "Hong Kong",
  Hungary = "Hungary",
  Iceland = "Iceland",
  India = "India",
  Indonesia = "Indonesia",
  Iran = "Iran",
  Iraq = "Iraq",
  Ireland = "Ireland",
  IsleOfMan = "Isle of Man",
  Israel = "Israel",
  Italy = "Italy",
  IvoryCoast = "Ivory Coast",
  Jamaica = "Jamaica",
  Japan = "Japan",
  Jersey = "Jersey",
  Jordan = "Jordan",
  Kazakhstan = "Kazakhstan",
  Kenya = "Kenya",
  Kiribati = "Kiribati",
  Kuwait = "Kuwait",
  Kyrgyzstan = "Kyrgyzstan",
  Laos = "Laos",
  Latvia = "Latvia",
  Lebanon = "Lebanon",
  Lesotho = "Lesotho",
  Liberia = "Liberia",
  Libya = "Libya",
  Liechtenstein = "Liechtenstein",
  Lithuania = "Lithuania",
  Luxembourg = "Luxembourg",
  Macau = "Macau",
  Macedonia = "Macedonia",
  Madagascar = "Madagascar",
  Malawi = "Malawi",
  Malaysia = "Malaysia",
  Maldives = "Maldives",
  Mali = "Mali",
  Malta = "Malta",
  MarshallIslands = "Marshall Islands",
  Mauritania = "Mauritania",
  Mauritius = "Mauritius",
  Mayotte = "Mayotte",
  Mexico = "Mexico",
  Micronesia = "Micronesia",
  Moldova = "Moldova",
  Monaco = "Monaco",
  Mongolia = "Mongolia",
  Montenegro = "Montenegro",
  Montserrat = "Montserrat",
  Morocco = "Morocco",
  Mozambique = "Mozambique",
  Namibia = "Namibia",
  Nauru = "Nauru",
  Nepal = "Nepal",
  Netherlands = "Netherlands",
  NetherlandsAntilles = "Netherlands Antilles",
  NewCaledonia = "New Caledonia",
  NewZealand = "New Zealand",
  Nicaragua = "Nicaragua",
  Niger = "Niger",
  Nigeria = "Nigeria",
  Niue = "Niue",
  NorthKorea = "North Korea",
  CNMI = "Northern Mariana Islands",
  Norway = "Norway",
  Oman = "Oman",
  Pakistan = "Pakistan",
  Palau = "Palau",
  Panama = "Panama",
  PapuaNewGuinea = "Papua New Guinea",
  Paraguay = "Paraguay",
  Peru = "Peru",
  Philippines = "Philippines",
  PitcairnIslands = "Pitcairn Islands",
  Poland = "Poland",
  Portugal = "Portugal",
  PuertoRico = "Puerto Rico",
  Qatar = "Qatar",
  Congo = "Republic of the Congo",
  Romania = "Romania",
  Russia = "Russia",
  Rwanda = "Rwanda",
  SaintBarthelemy = "Saint Barthelemy",
  SaintHelena = "Saint Helena",
  SaintKittsAndNevis = "Saint Kitts and Nevis",
  SaintLucia = "Saint Lucia",
  SaintMartin = "Saint Martin",
  SaintPierreAndMiquelon = "Saint Pierre and Miquelon",
  VincentAndTheGrenadines = "Vincent and the Grenadines",
  Samoa = "Samoa",
  SanMarino = "San Marino",
  SaoTomeAndPrincipe = "Sao Tome and Principe",
  SaudiArabia = "Saudi Arabia",
  Senegal = "Senegal",
  Serbia = "Serbia",
  Seychelles = "Seychelles",
  SierraLeone = "Sierra Leone",
  Singapore = "Singapore",
  Slovakia = "Slovakia",
  Slovenia = "Slovenia",
  SolomonIslands = "Solomon Islands",
  Somalia = "Somalia",
  SouthAfrica = "South Africa",
  SouthKorea = "South Korea",
  Spain = "Spain",
  SriLanka = "Sri Lanka",
  Sudan = "Sudan",
  Suriname = "Suriname",
  Svalbard = "Svalbard",
  Swaziland = "Swaziland",
  Sweden = "Sweden",
  Switzerland = "Switzerland",
  Syria = "Syria",
  Taiwan = "Taiwan",
  Tajikistan = "Tajikistan",
  Tanzania = "Tanzania",
  Thailand = "Thailand",
  TimorLeste = "Timor-Leste",
  Togo = "Togo",
  Tokelau = "Tokelau",
  Tonga = "Tonga",
  TrinidadAndTobago = "Trinidad and Tobago",
  Tunisia = "Tunisia",
  Turkey = "Turkey",
  Turkmenistan = "Turkmenistan",
  TurksAndCaicosIslands = "Turks and Caicos Islands",
  Tuvalu = "Tuvalu",
  Uganda = "Uganda",
  Ukraine = "Ukraine",
  UAE = "United Arab Emirates",
  UK = "United Kingdom",
  USA = "United States",
  Uruguay = "Uruguay",
  USVirginIslands = "US Virgin Islands",
  Uzbekistan = "Uzbekistan",
  Vanuatu = "Vanuatu",
  Venezuela = "Venezuela",
  Vietnam = "Vietnam",
  WallisAndFutuna = "Wallis and Futuna",
  WesternSahara = "Western Sahara",
  Yemen = "Yemen",
  Zambia = "Zambia",
  Zimbabwe = "Zimbabwe",
}

export {
  CompanyType,
  MessengerType,
  Revenue,
  Country,
  TrafficType,
  HowFoundOut,
};
